# backup-helper

Small NixOS module to do backups to my NAS.

## Usage example

```nix
# Example uses sops to store repo password
sops.secrets."backup_helper_secret" = { };
backup-helper = {
  enable = true;
  password-file = "/run/secrets/backup_helper_secret";
  # Dirs to backup
  backup-dirs = [
    "/var/lib/important-data"
    "/home/user/stuff"
  ];
};
```

See [this](https://git.t-juice.club/torjus/backup-helper/src/commit/e84295ad5951fe3eb97113a94c16fbed412734e5/backup.nix#L42-L71) for all options and defaults.
